Package org.eclipse.graphiti.ui.internal.util.gef

## Class MultiCreationFactory

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.util.gef.MultiCreationFactory

All Implemented Interfaces:
  `org.eclipse.gef.requests.CreationFactory`

    public class MultiCreationFactory
    extends java.lang.Object
    implements org.eclipse.gef.requests.CreationFactory

### Constructor Summary

Constructors
`MultiCreationFactory​(java.util.List<IFeature> features)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getNewObject()`
`java.lang.Object` `getObjectType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiCreationFactory

    public MultiCreationFactory​(java.util.List<IFeature> features)

### Method Detail

#### getNewObject

    public java.lang.Object getNewObject()

Specified by:
  `getNewObject` in interface `org.eclipse.gef.requests.CreationFactory`

#### getObjectType

    public java.lang.Object getObjectType()

Specified by:
  `getObjectType` in interface `org.eclipse.gef.requests.CreationFactory`